2005-08-29  Sam Hartman  <hartmans@mit.edu>

	* kadm5/api-server-design.tex kadm5/api-funcspec.tex:  Avoid using  changebar.sty

2005-02-11  Tom Yu  <tlyu@mit.edu>

	* kadm5/api-unit-test.tex (ovsec_kadm_init): Update to reflect
	changed expected error codes for init 152, 153 tests.

2005-01-03  Ken Raeburn  <raeburn@mit.edu>

	* build.texinfo (The util Directory): Add the new support
	library.
	(Installing the Binaries): Discuss parallel builds under GNU
	make.

	* implementor.texinfo (Host Address Lookup): Document Mac OS X
	issues.

	* threads.txt, thread-safety.txt: Updates.

2004-11-19  Tom Yu  <tlyu@mit.edu>

	* build.texinfo (Solaris 9): Document Solaris patches for pty
	close bug.

2004-10-06  Ken Raeburn  <raeburn@mit.edu>

	* implementor.texinfo, thread-safe.txt, threads.txt: Various
	updates relating to thread support.

2004-09-07  Tom Yu  <tlyu@mit.edu>

	* install.texinfo (Propagate the Database to Each Slave KDC):
	Remove spurious "-R" flag from kdb5_util invocation.

2004-09-02  Tom Yu  <tlyu@mit.edu>

	* build.texinfo: Fix some typos.
	(Build Requirements): Note ANSI C (c89) requirement.
	(Alpha OSF/1 V4.0): Document "-std0" vs "-std" cc behavior.

2004-07-20  Ken Raeburn  <raeburn@mit.edu>

	* implementor.texinfo: Changed @code to @file where files are
	referenced.
	(NetBSD Shared Library Support, Solaris Shared Library Support):
	Outdated sections deleted.
	(Shared Library Theory): Fixed typo.
	(Advanced Shared Library Requirements): New section.
	(Thread Safety): Rewrite; add subsections.
	(Compiler and OS Requirements): New section.

2004-06-10  Ken Raeburn  <raeburn@mit.edu>

	* admin.texinfo (Supported Encryption Types): Reflect new AES
	support in GSSAPI, but keep a warning about interoperability with
	old versions.

2004-06-02  Ken Raeburn  <raeburn@mit.edu>

	* threads.txt, thread-safe.txt: New files.

2004-02-13  Tom Yu  <tlyu@mit.edu>

	* build.texinfo (Solaris 9): Add section describing workaround for
	Solaris 9 pty-close kernel bug.

2003-07-25  Ken Raeburn  <raeburn@mit.edu>

	* admin.texinfo (realms (krb5.conf)): Add description of
	master_kdc tag.
	(Sample krb5.conf File): Add it to the example.

2003-07-24  Sam Hartman  <hartmans@mit.edu>

	* admin.texinfo (realms (kdc.conf)): Remove references to kdc_supported_enctypes
	(Sample kdc.conf File): Remove kdc_supported_enctypes here too

2003-06-20  Tom Yu  <tlyu@mit.edu>

	* build.texinfo (Installing the Binaries): New node; describe
	basic "make install", along with "DESTDIR=...".

2003-06-19  Tom Yu  <tlyu@mit.edu>

	* build.texinfo (HPUX): Fix typo.
	(Options to Configure): Note that --with-system-db is unsupported,
	concerning possible lossage with loading dumpfiles.

2003-06-18  Tom Yu  <tlyu@mit.edu>

	* dnssrv.texinfo: Add note about _kerberos-iv._udp SRV records.

2003-06-05  Tom Yu  <tlyu@mit.edu>

	* procedures.txt: New file.  Draft of current procedures.
	Currently mostly contains a few email messages from Sam.  More
	clarification should follow later.

2003-05-30  Ken Raeburn  <raeburn@mit.edu>

	* definitions.texinfo (DefaultCcacheType, DefaultKDCTimesync,
	DefaultMasterKeyType, DefaultTktLifetime): Updated for code
	changes.
	(DefaultCcacheTypeMac, DefaultKDCTimesyncMac): Deleted.

	* admin.texinfo (libdefaults): Update kdc_timesync and ccache_type
	descriptions to not separate Mac case.

2003-05-30  Sam Hartman  <hartmans@mit.edu>

	* admin.texinfo (Supported Encryption Types): Document AES interop issues.

	* support-enc.texinfo: Add AES enctypes

2003-05-27  Tom Yu  <tlyu@mit.edu>

	* admin.texinfo (realms (kdc.conf)): Update to reflect that
	kadm5.keytab is only used by legacy admin daemons.

	* install.texinfo (Create a kadmind Keytab (optional)): Update to
	reflect that kadm5.keytab is only used by legacy admin daemons.

	* build.texinfo (HPUX): Make HPUX compiler flags simpler.

2003-05-23  Ken Raeburn  <raeburn@mit.edu>

	* build.texinfo (HPUX, Solaris 2.X, Ultrix 4.2/3 [notdef]):
	Replace descriptions of old --with- options with VAR=.
	(Solaris 2.X): Suggest that defining _XOPEN_SOURCE and
	__EXTENSIONS__ might help for 64-bit mode.

2003-05-23  Tom Yu  <tlyu@mit.edu>

	* admin.texinfo (appdefaults): Clarify afs_krb5 slightly.

2003-05-22  Sam Hartman  <hartmans@mit.edu>

	* admin.texinfo (appdefaults): Describe afs_krb5

	* krb425.texinfo (AFS and the Appdefaults Section): Note about AFS and 2b tokens

2003-05-13  Ken Raeburn  <raeburn@mit.edu>

	* definitions.texinfo: Updated DefaultSupportedEnctypes.

2003-05-12  Sam Hartman  <hartmans@mit.edu>

	* definitions.texinfo: Default v4 mode is now none

2003-04-18  Ken Raeburn  <raeburn@mit.edu>

	* definitions.texinfo (DefaultETypeList,
	DefaultSupportedEnctypes): Update for AES.
	* install.texinfo (Client Machine Configuration Files): Fix typo
	in variable reference.

2003-04-08  Tom Yu  <tlyu@mit.edu>

	* krb4-xrealm.txt: New file.  Describe the krb4 cross-realm
	patchkit.  Copied from 2003-004-krb4_patchkit.

2003-02-07  Ken Raeburn  <raeburn@mit.edu>

	* copyright.texinfo: Add Yarrow, AES licenses.

2003-02-04  Sam Hartman  <hartmans@mit.edu>

	* krb425.texinfo (Upgrading KDCs): Note that -4 needs to be specified

2003-01-30  Sam Hartman  <hartmans@mit.edu>

	* definitions.texinfo: Remove bogus sample IPs and domains.

2002-09-20  Ken Raeburn  <raeburn@mit.edu>

	* admin.texinfo, dnssrv.texinfo: Documented config file variables
	and SRV records to use for Kerberos TCP service, if it's enabled,
	which it isn't by default.  Removed UDP port 750 from the DNS SRV
	recommendations.

2002-09-20  Jen Selby  <jenselby@mit.edu>

	* Makefile: made the list of manpages a variable
	* admin.texinfo: took out second inclusion of copyright notice,
	changed some section names, updated initial synopsis of file,
	added explanation of encryption types and the [login] section of
	krb5.conf, added documentation on various tags in the configuration
	files, added some more examples, fixed some typos, updated usage
	statements for various kadmin and kdb5_util commands, updated the 
	sample output from the commands, updated the infotex for use with 
	makeinfo --html, added a section about getting shared-realm keys,
	updated the error codes
	* build.texinfo: added a section describing the structure of the
	source code tree, updated documentation of options to configure
	script, added information about defaults for various variable
	settings, updated information about shared library support, 
	added discussion of valid kerberos principals 
	* definitions.texinfo: added some new default variables,
	corrected some pathnames of default values
	* dnssrv.texinfo: made the information about default port numbers
	reference a variable
	* glossary.texinfo: updated definition of principal
	* install.texinfo: fixed typos and formatting errors, removed old 
	sample config files from appendix (samples are in the sections about 
	the config files), added information about supporting RC4 keys
	* kadm5.acl: new file.  describes the kadm5.acl file.  included by
	both admin.texinfo and install.texinfo.  text is made up mostly of
	text that was split between those two documents.  documentation
	of backreferences was added
	* kdcconf.texinfo: made defaults reference variables 
	* krb425.texinfo: deleted second inclusion of copyright info,
	made defaults reference variable, fixed typos, took out redundant
	part about editing inetd.conf and replaced it with reference to
	install guide
	* krb5conf.texinfo: documented the "final variable" feature, 
	added mention of the [login] section, 
	* send-pr.texinfo: minor change in wording for clarity
	* user-guide.texinfo: made various minor wording changes, updated 
	some of the sample output, updated documention of command options


2002-09-13  Ken Raeburn  <raeburn@mit.edu>

	* build.texinfo (Options to Configure): Update for new options
	--with-system-db, DB_HEADER=, DB_LIB=.

2002-09-03  Ken Raeburn  <raeburn@mit.edu>

	* build.texinfo (Options to Configure): Update for new options
	--with-system-et, --with-system-ss, SS_DIR=.

2002-09-02  Ken Raeburn  <raeburn@mit.edu>

	* build.texinfo (Options to Configure): Update for new "CC=" style
	options replacing "--with-cc=" options.

2002-07-03  Ezra Peisach  <epeisach@bu.edu>

	* user-guide.texinfo: Change `@end rawhtml' to `@end html' Texinfo
	4 is more particular about matching @ifhtml (texinfo 3 did not
	check). klist, ftp, and rcp postscript man pages have an
	additional page now.

2002-06-26 Jen Selby <jenselby@mit.edu>

	* Makefile: changed the way html output is generated, made "make all"
	remove generated tex files
	* admin.texinfo: added sections about encryption types and salts,
	updated the configuration file sections, revised the example 
	configuration files, updated dates on output strings, added an
	explanation of destroying a Kerberos database
	* build.texinfo: changed the description of the tarball
	* definitions.texinfo: added variables for all the default values
	so that they can all be updated in one place, changed the release
	from 1.2 to 1.3
	* dnstxt.texinfo updated the information
	* install.texinfo added more description of the configuration files
	and the minimum needed in the files to set up a kerberos realm,
	revised the examples of the configuration file sections, took out
	old encryption type and salt information
	* kdcconf.texinfo: new file, taken from the admin guide and included
	in both the admin and install guides, provides descriptions of the
	sections in kdc.conf
	* krb425.texinfo: moved a texinfo tag so that makeinfo --html would
	work
	* krb5conf.texinfo: new file, take from the admin guide and included
	in both the admin and install guides, provides descriptions of the
	sections in krb5.conf
	* man2html, man2html.M: new files, a perl program to create html pages 
	from the output of the man command
	* salts.texinfo: new file, a description of the different salt types
	that are currently supported
	* support-enc.texinfo: new file, a description of the currently
	supported encryptions types
	* user-guide.texinfo: added a section describing different ticket
	flags, added a way to have the man pages in the reference section
	accessible in the html version of the documentation

2002-06-21  Ezra Eeisach  <epeisach@bu.edu>

	* implementor.texinfo (IPv6 Support): Update fact that IRIX 6.5.16
	has enough support for configure to believe IPv6 support works,
	but the libraries fail to provide a definition of in6addr_any
	(although netinet/in.h implies it foes).

2002-06-20  Sam Hartman  <hartmans@mit.edu>

	* implementor.texinfo (Operating System Notes for Shared Libraries):  Update why we don't use libtool
	(Solaris  Shared Library Support): Update

2002-06-18  Ken Raeburn  <raeburn@mit.edu>

	* implementor.texinfo: Don't use @smallbook.
	(IPv6 Support): New chapter.
	(Socket API): New placeholder chapter.
	(Local Addresses, Host Address Lookup): Specify more precisely the
	IRIX version we use at MIT.
	(Thread Safety): Delete quoted email, since we don't actually have
	this API yet.  Refer people to the mailing list archives.
	(Operating System Notes for Shared Libraries): Add an introduction
	mentioning why we can't use libtool.

	* copyright.texinfo: Update copyright year.

2002-05-30  Jen Selby  <jenselby@mit.edu>

	* admin.texinfo, install.texinfo, dnssrv.texinfo, dnstxt.texinfo:
	I corrected some minor typos.  Moved DNS information to separate
	files.  Included these files in install guide (where they had
	been) and in new sections in the admin guide.

2002-05-08  Ken Raeburn  <raeburn@mit.edu>

	* implementor.texinfo: Formatting updates.  Tru64 5.1 SIOCGIFCONF
	and getaddrinfo update.  Description of fake-addrinfo.h and thread
	safety problems.

2002-03-13  Ken Raeburn  <raeburn@mit.edu>

	* implementor.texinfo: Add chapters on local addresses, hostname
	address lookups, and thread safety.

2001-09-25  Ken Raeburn  <raeburn@mit.edu>

	* admin.texinfo (realms (kdc.conf)): Add description of
	reject_bad_transit realm option.

2001-06-26  Ezra Peisach  <epeisach@mit.edu>

	* user-guide.texinfo, install.texinfo: Cleanup makeinfo warning of
	not having `.' or `,' after @xref.

2001-01-19  Ken Raeburn  <raeburn@mit.edu>

	* coding-style: Assume ANSI C '89.  Use krb5int_ for internal
	names.

2000-07-12  Tom Yu  <tlyu@mit.edu>

	* coding-style: Update after some discussion.  Add sections
	comparing to BSD KNF and GNU coding standards.

2000-07-11  Tom Yu  <tlyu@mit.edu>

	* coding-style: Some minor tweaks.  Require do-while to always be
	braced.  Note some aspects of function pointer and array pointer
	usage.  Elaborate on function declaration practices.  Add
	placeholders for sections on Makefiles and test suites.

2000-07-10  Tom Yu  <tlyu@mit.edu>

	* coding-style: Another pass.  Add secion on namespaces.
	Elaborate some on null pointers.
	
2000-07-10  Tom Yu  <tlyu@mit.edu>

	* coding-style: First pass draft of coding standards.

2000-06-30  Ken Raeburn  <raeburn@mit.edu>

	* admin.texinfo (Kerberos V5 Database Library Error Codes):
	Replace RCS Id strings with comments indicating that the RCS Id
	string of the error table is used.

2000-06-22  Tom Yu  <tlyu@mit.edu>

	* build.texinfo (HPUX): Update note for HPUX compiler flags.
	(Shared Library Support): Update shared lib support info.

2000-06-16  Ken Raeburn  <raeburn@mit.edu>

	* admin.texinfo: Update descriptions to indicate full support for
	des3.  Describe new DNS-related libdefaults tags for krb5.conf.

	* build.texinfo (Options to Configure): Fix @item labels.

	* install.texinfo: Update descriptions to indicate full support
	for des3, and describe "v4" salt as being useful only with
	des-cbc-crc.

2000-06-15  Tom Yu  <tlyu@mit.edu>

	* admin.texinfo: Note in multiple places that the current default
	dump format doesn't include the per-principal policy information,
	and some means of working around this problem.

	* install.texinfo (Switching Master and Slave KDCs): Note that
	in the process of swapping KDCs, it is necessary to do a ov format
	dump in order to preserve per-principal policy information.

2000-06-13  Tom Yu  <tlyu@mit.edu>

	* install.texinfo (Upgrading Existing Kerberos V5 Installations):
	Add info describing how to preserve policy information while
	upgrading.  Also needs to go into other sections, possibly.

2000-06-13  Ken Raeburn  <raeburn@mit.edu>

	* build.texinfo: Enter correct xref info for DNS data
	descriptions.  Fix up text around some xrefs.
	* install.texinfo: Describe SRV and TXT DNS records.  Fix up text
	around some xrefs.

2000-06-09  Tom Yu  <tlyu@mit.edu>

	* admin.texinfo: Add descriptions of the kadmin {ank,cpw,ktadd} -e
	flag.

2000-06-06  Ken Raeburn  <raeburn@mit.edu>

	* install.texinfo: Describe new DNS support, and 3DES upgrade
	path.  Update "enctypes" config file sample lines.

	* build.texinfo: No kpasswd directory.  Describe new configure
	options.

	* send-pr.texinfo: Suggest caution regarding tab expansion for
	patches.

2000-06-02  Ken Raeburn  <raeburn@mit.edu>

	* definitions.texinfo: Update for 1.2 release.

2000-05-31  Ken Raeburn  <raeburn@mit.edu>

	* krb425.texinfo (libdefaults): Add description of v4_realm.

1999-09-22  Tom Yu  <tlyu@mit.edu>

	* copyright.texinfo: Update copyright again.

1999-09-17  Tom Yu  <tlyu@mit.edu>

	* copyright.texinfo: Update copyright notice somewhat.

	* install.texinfo: Update info on upgrading a KDC for 1.1.

1999-09-08  Ken Raeburn  <raeburn@mit.edu>

	* install.texinfo (Mac OS X Configuration): Revised text from
	Alexis, with more explanations of what's going on.

1999-09-07  Ken Raeburn  <raeburn@mit.edu>

	* definitions.texinfo: Update for 1.1 release.

	* admin.texinfo (Adding or Modifying Principals): Mention des3
	enctype for host keys.

	* build.texinfo: Replace "krb5-1.0" with "krb5-@value{RELEASE}"
	throughout.
	(Shared Library Support): Cut supported-OS list down to Solaris
	and Irix for now.

	* install.texinfo: Update EDITION to 1.1.
	(MacOS X Configuration): New node, with info from Brad Thompson.
	(Encryption Types and Salt Types): Mention des3.

1999-08-31  Ken Raeburn  <raeburn@mit.edu>

	* admin.texinfo (Kadmin Options): Describe -e option.
	(The User/Kerberos Interaction): Renamed from User--Kerberos to
	avoid an apparent makeinfo 1.68 bug.
	(realms (kdc.conf)): Document kdc_supported_enctypes, and mention
	how des3 can be used there.  Add des-cbc-crc:v4 to both enctype
	lists, in the descriptions and in the examples.  Delete
	encryption_type, which doesn't exist.
	(Date Format): Avoid 2-digit years, and add a warning about them.

Fri Dec 13 15:10:44 1996  Tom Yu  <tlyu@mit.edu>

	* admin.texinfo (The User--Kerberos Interaction): The environment
 	variable is KRB5CCNAME, not KRB5_CCNAME.
	(Getting DNS Information Correct): It's Domain Name System, not
 	Distributed Name Service.

Thu Dec 12 18:36:20 1996  Tom Yu  <tlyu@mit.edu>

	* user-guide.texinfo: Bump edition to 1.0.  Nuke gratuitous
	vfills.  Change @value{PRODUCT} to explicit reference, to avoid
	makeinfo bug that introduces a nul character.

	* krb425.texinfo: Bump edition to 1.0.

	* build.texinfo (OS Incompatibilities): Refer to krb5-send-pr
	instead of mail to krb5-bugs.
	(Options to Configure): Change options to indicate meta-names,
	e.g. "--prefix=PREFIX"; also nuke leading slash on some
	descriptions of options.

	* admin.texinfo: Add more explicit linebreaks to prevent overruns;
	also break up a few long lines in example program output.

Fri Dec  6 13:58:19 1996  Tom Yu  <tlyu@mit.edu>

	* .cvsignore: Ignore by suffix rather than by file.

	* Makefile (admin-guide-info):
	(admin-guide-info): Update to reflect new info file name.

	* admin.texinfo: Change info file name to krb5-admin.info for
	consistency.
	(Administrating Kerberos Database Entries): "-c credentials_cache"
	-> "-c ccache" to avoid overrun.
	(Privileges): Null instance example is joeuser@REALM, not
	joeuser/null@REALM.

	* install.texinfo (Kerberos Realms): SAN_FRANCISCO.FUBAR.ORG ->
	HOUSTON.FUBAR.ORG to prevent margin overrun.
	(Create a kadmind Keytab): Add explicit linebreak to prevent
	margin overrun.
	(Overview of This Guide): 
	(Installing Kerberos V5): Remove references to windows and mac
	client machines for now.

	* krb425.texinfo: Use krb425.info instead of
	Kerberos-V4-to-V5.info in the interest of shorter filenames.

	* user-guide.texinfo (Introduction): Eliminate "Kerberos V5 is
	based on Kerberos V5".
	(Ticket Management): Fix ref to "/rsh".
	(rsh): Add explicit linebreak to avoid margin overrun.

	* krb425.texinfo (Upgrading KDCs): Use ROOTDIR rather than
	INSTALLDIR to get the proper pathname.

	* send-pr.texinfo: Fix some misspellings, also remove references
	to things that are only really applicable for Cygnus.

Wed Dec  4 23:47:28 1996  Tom Yu  <tlyu@mit.edu>

	* krb425.texinfo (Upgrading Application Servers): v5srvtab ->
	krb5.keytab

Mon Dec  2 13:00:26 1996  Barry Jaspan  <bjaspan@mit.edu>

	* build.texinfo (The DejaGnu Tests): info about .k5login for
 	krb-root tests [krb5-doc/261]

	* install.texinfo (Add Administrators to the Kerberos Database):
 	note relationship between acl file and admin principals
 	[krb5-doc/251]
	(Edit the Configuration Files): mention the logging stanza here,
 	too, and tell people to check it when they start the daemons
 	[krb5-doc/253]

	* build.texinfo (The KADM5 Tests): add section for the kadm5 tests
 	[krb5-doc/247]

Fri Nov 29 19:47:38 1996  Tom Yu  <tlyu@mit.edu>

	* build.texinfo (Unpacking the Sources): Mention that ./krb5-1.0
	is the default directory that the tarballs will unpack into.
	Also, "/u1/krb5" -> "/u1/krb5-1.0".
	(osconf.h): Remove reference to DEFAULT_LNAME_FILENAME, as we're
	no longer using the aname database code.
	(Options to Configure): Add mention of --localstatedir
	(Shared Library Support): It's Solaris 2.4/SunOS 5.4, not Solaris
	5.4.
	(Solaris 2.X): Shared libs work with gcc.

	* install.texinfo (Mapping Hostnames onto Kerberos Realms): Fix
	spacing error.

	* admin.texinfo: Fix up old references to "/krb5".

	* send-pr.texinfo: krb5-send-pr is in PREFIX/sbin, not PREFIX/bin.

	* admin.texinfo: "/lib/krb5kdc" -> "/var/krb5kdc"

	* krb425.texinfo (Upgrading Application Servers): Change flag
	"cygnus" to "CYGNUS".

	* install.texinfo (Please Read the Documentation): Change flag
	"cygnus" to "CYGNUS".

	* admin.texinfo (domain_realm): Change flag "cygnus" to "CYGNUS".

	* definitions.texinfo: Change /usr/@value{LCPRODUCT} to /usr/local
	to sync with default paths.

	* admin.texinfo (domain_realm): Conditionalize "COM" vs "EDU" in
	example.

	* install.texinfo (Create Host Keys for the Slave KDCs): Change
	-randpass to -randkey. [244]

Thu Nov 28 18:54:02 1996  Tom Yu  <tlyu@mit.edu>

	* krb425.texinfo: Change to use "@chapternewpage odd", also frob
	copyright page as per other docs.  Also, remove footnote claiming
	that "Kerberos V5 is based on the MIT beta7 release".

	* admin.texinfo (capaths): Fix unquoted braces.
	(appdefaults): Fix unquoted braces.

Wed Nov 27 18:27:18 1996  Jeffrey C. G. Bigler  <jcb@viola.cygnus.com>

	* Makefile: Added send-pr.texinfo to ADMIN_INCLUDES and
	INSTALL_INCLUDES.

	* admin.texinfo: Added chapter on config files.  Changed bug
	reporting section to include send-pr file.

	* install.texinfo: Changed bug reporting section to include
	send-pr file.  Added reference to Sysadmin Guide chapter on config
	files.

	* send-pr.texinfo: Fixed this up to match our version of
	krb5-send-pr.

Tue Nov 26 18:34:11 1996  Tom Yu  <tlyu@mit.edu>

	* install.texinfo: Fix a couple of references to "@value{COMPANY}"
	so they don't commit MIT to doing user support; also fixed some
	punctuation errors.

Mon Nov 25 23:39:53 1996  Theodore Y. Ts'o  <tytso@mit.edu>

	* copyright.texinfo: Change lib/kadm to lib/kadm5, and add the
 		kadmin/passwd to the list of directories containing OV
 		code.

Sun Nov 24 23:55:52 1996  Ezra Peisach  (epeisach@mit.edu)

	* build.texinfo: Remove --with-kdb-db section as it does not
	exist. Add --with-tcl info.

Tue Nov 19 13:42:00 1996  Barry Jaspan  <bjaspan@mit.edu>

	* install.texinfo, build.texinfo: misc suggestions from jhawk
 	[krb5-doc/55]

Fri Nov 15 17:52:39 1996  Jeff Bigler  <jcb@viola.cygnus.com>

	* Makefile (krb425-guide): added section to make krb425 guide.

	* krb425.texinfo: brought in this document from Cygnus.

Fri Nov 15 00:06:53 1996  Tom Yu  <tlyu@mit.edu>

	* user-guide.texinfo: Changes to put copyright page in its own
	node in the info file.

	* install.texinfo: Changes to put copyright page in its own node
	in the info file.

	* admin.texinfo: Changes to put copyright page in its own node in
	the info file, plus more krb5.keytab name updates.

	* install.texinfo (The Keytab File): 
	(Extract Host Keytabs for the KDCs): 
	(The Keytab File): 
	(Some Advice about Secure Hosts): Update filename to krb5.keytab.
	(Upgrading the application servers): Add node to explain keytab
	rename.

Wed Nov 13 15:17:22 1996  Barry Jaspan  <bjaspan@mit.edu>

	* install.texinfo (kdc.conf): remove profile relation from
 	krb5.conf and kdc.conf [PR 124]

Mon Nov 11 12:45:39 1996  Barry Jaspan  <bjaspan@mit.edu>

	* install.texinfo (kdc.conf): remove admin_database_name and
 	lockfile fields from sample kdc.conf

Sun Nov 10 21:20:05 1996  Sam Hartman  <hartmans@mit.edu>

	* bug-report.texinfo: We have krb5-send-pr now.

	* install.texinfo (Edit the Configuration Files): kdc.conf lives
 	in var/krb5kdc/kdc.conf
	(krb5.conf): No, we will not tell people to log to /dev/ttyp9;
 	default to /var/log
	(Slave KDCs): Avoid over committing MIT to random things that
 	other vendors might want to do.
	(Limit Access to the KDCs): If you are running klogind -c you want -5 not -k
	(Some Advice about Secure Hosts): We disable things in /etc/inetd.conf not /etc/services

Tue Nov  5 16:14:06 1996  Barry Jaspan  <bjaspan@mit.edu>

	* install.texinfo (Upgrading existing Master and Slave KDCs to the
 	current release): added section on upgrading to new db format with
 	dump/load [krb5-doc/119]

Mon Nov  4 16:50:51 1996  Barry Jaspan  <bjaspan@mit.edu>

	* admin.texinfo (Adding or Modifying Principals): update kadmin
 	"default" policy semantics [krb5-doc/84]

	* install.texinfo: various minor comments from jhawk [krb5-doc/55]

Fri Nov  1 19:05:15 1996  Tom Yu  <tlyu@mit.edu>

	* .cvsignore: Ignore the .html files.

	* copyright.texinfo: Add call to "@pagealignmacro" to force a
	blank page after copyright spewage. [krb5-doc/54]

	* Makefile: Apply jik's changes for dependencies [krb5-doc/101]

	* install.texinfo (krb5.conf): Fixed extra
	closebrace. [krb5-doc/92]

Fri Oct 18 13:42:49 1996  Barry Jaspan  <bjaspan@mit.edu>

	* install.texinfo (Create a kadmind Keytab): use kadmin.local
 	instead of kadmin to perform pre-kadmind setup [krb5-admin/28]

Tue Sep 10 20:47:41 1996  Theodore Y. Ts'o  <tytso@mit.edu>

	* user-guide.texinfo: The telnet man page only has 9 pages; the
		rcp man page only has 1 page.

Mon Sep  9 19:35:37 1996  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* build.texinfo: Updated to reflect latest OS inconsistencies;
 		removed shared library theory section to a new file,
 		implementor.texinfo, which will have information that only
 		developers will care about.

Mon Sep  9 13:25:06 1996  Jeff Bigler  <jcb@viola.cygnus.com>

	* texinfo-suppl.tex: extracted @doubleleftarrow{} hack into
	separate file so we don't have to ship a modified version of
	texinfo.tex.

	* user-guide.texinfo (Reference): changed offset to -700 for
	PostScript man pages for full page printing.

	* man2ps: changed scale from 0.7 to 0.85 for full page printing.
	Piped csplit output to /dev/null, to make it a bit neater.

Fri Sep  6 19:59:12 1996  Theodore Y. Ts'o  <tytso@mit.edu>

	* copyright.texinfo: Updated copyright dates and modify copyright
		text to have non-commital words about export licenses.

	* admin.texinfo, install.texinfo: Set edition to "b7-1".

	* user-guide.texinfo: Set edition to "b7-1".  Fix the hoffset and
 		voffsets for the included man page poscript files so that
 		the images are lined up correctly (at least using MIT's
 		dvips).

	* Makefile (user-guide): Make sure the kpasswd man page's
	 	postscript is built.  Add new target "clean-temp-ps" which
	 	cleans up the temporary postscript files.

	* man2ps: Changes to make man2ps more portable.  Remove bash
		specific constructs, and replace with calls to expr.
		Since the arguments to "troff" require groff, just try to
		run groff explicitly (someone can always edit the ROFF and
		ROFF_OPTIONS at the top of the script).  Try to
		automatically detect whether csplit or gcsplit should be
		used, by grovelling through the user's path.

	* texinfo.tex: Check in version of texinfo.tex that has Jeff's 
		magic doubleleft arrow hack.

Fri Sep  6 12:59:43 1996  Jeff Bigler  <jcb@viola.cygnus.com>
	
	* install.texinfo: new name for cyg-install.texinfo

	* install-old.texi: new name for install.texi (so we know what's
	what.)

	* Makefile (install-guide): renamed cyg-install.texinfo to
	install.texinfo.

	* man2ps: shell script to create postscript include files for
	user's guide.

	* man2ps.M: man page for above shell script

	* build.texinfo: this is now included by cyg-install.texinfo
	(which should eventually replace install.texi.)

	* definitions.texinfo: added flags "MIT" and "CYGNUS".

	* cyg-install.texinfo: added @ifset and @ifclear sections to
	separate MIT-specific and Cygnus-specific sections.

	* admin.texinfo: added @ifset and @ifclear sections as with
	cyg-install.texinfo

	* Makefile: rewrote entire contents of file.

Fri Sep  6 01:22:56 1996  Theodore Y. Ts'o  <tytso@mit.edu>

	* build.texinfo: Remove --enable options which are no longer
		valid.  Updated reference to dejagnu.

Thu Apr 18 14:38:42 1996  Theodore Y. Ts'o  <tytso@mit.edu>

	* install.texi (Building using lndir): Minor grammer fix.

Sun Apr 21 14:01:29 1996  Sam Hartman  <hartmans@mit.edu>

	* install.texi (Installing Kerberos Applications): Updated to fix
 	jhawk's comments to this section.

Sat Apr 20 03:27:27 1996  Sam Hartman  <hartmans@mit.edu>

	* install.texi (Top): Remade master menu.
	(Installing Kerberos Applications): New section.

Fri Apr 19 22:55:36 1996  Sam Hartman  <hartmans@mit.edu>

	* install.texi (Shared Library Support): Update to better reflect
 	reality on AIX.

Tue Mar 19 10:34:20 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* Makefile (clean): Remove *.info-? now.

	* install.texi: Changes to allow emacs M-X texinfo-format-buffer
		to work. (The problem was @item used within @enumerate).

Fri Mar  8 09:43:13 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* install.texi (The DejaGnu Tests): Describe the DejaGnu tests.

Mon Oct 30 16:58:54 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* install.texi: Fix all path names, spelling check, convert tabs
		to spaces. 

Fri Oct 20 14:06:35 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* install.texi (Shared Library Support): Document shared library
		specifics.

Tue Oct 17 19:23:50 1995  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* .Sanitize (Things-to-keep): Add Makefile

	* Makefile: Simple file to build both dvi and info versions of
		install and allow for easy cleaning.

	* install.texi (Options to Configure): Updated to reflect current
		major configuration options.

Wed Oct 11 16:20:58 1995  Ezra Peisach  (epeisach@kangaroo.mit.edu)

	* install.texi: Remove config.h descriptions, describe krb5.conf. 

Tue Jul 11 13:07:00 1995    <tytso@rsx-11.mit.edu>

	* install.texi: BSDI fixes.

Fri May  5 13:10:38 1995  Theodore Y. Ts'o  (tytso@dcl)

	* install.texi: Minor fixups for beta 5 release.  Mainly points
		that the krb.conf and krb.realms section need to be
		updated and should be ignored in favor of the krb5.conf
		manual page.

Fri Apr 28 16:59:41 EDT 1995	Paul Park	(pjpark@mit.edu)
	Add new kadmin.protocol.

Wed Feb 22 18:56:06 1995  John Gilmore  (gnu at toad.com)

	* install.texi:  Minor corrections.  Add info about bare source
	trees (without configure scripts).

